Skip to main content
Python
from openlayer import Openlayer
from openlayer.types.inference_pipelines import row_update_params

row_updates = {
  "ground_truth": "The sun is 94.471 million miles from the earth."
}
config = row_update_params.Config(
  ground_truth_column_name="ground_truth"
)

client = Openlayer()
client.inference_pipelines.rows.update(
    inference_pipeline_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    inference_id="832y98d3",
    row=row_updates,
    config=config,
)
import Openlayer from 'openlayer';

const openlayer = new Openlayer();

await openlayer.inferencePipelines.rows.update(
{
inferencePipelineId: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
inferenceId='832y98d3',
config: {
groundTruthColumnName: 'ground_truth',
},
row: {
ground_truth: "The sun is 94.471 million miles from the earth.",
},
},
);
curl --request PUT \
--url https://api.openlayer.com/v1/inference-pipelines/{inferencePipelineId}/rows?inferenceId=832y98d3 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"row": {
"ground_truth": "The sun is 94.471 million miles from the earth."
},
"config": {
"groundTruthColumnName": "ground_truth",
}
}'
{
  "success": true
}
{
"code": 123,
"error": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your workspace API key. See Find your API key for more information.

Path Parameters

inferencePipelineId
string<uuid>
required

The inference pipeline id (a UUID).

Query Parameters

inferenceId
string
required

Specify the inference id as a query param.

Body

application/json
row
object
required
config
object | null

Response

Status OK.

success
enum<boolean>
required
Available options:
true